﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Entities.SQLudeoDB
{
    public class ContentLessonEntity
    {
        [ForeignKey(nameof(Lesson))]
        public int LessonId { get; set; }
        public LessonEntity Lesson { get; set; }

        [ForeignKey(nameof(Paragraph))]
        public int LessonPartId { get; set; }
        public ParagraphEntity Paragraph { get; set; }
    }
}
